Status: Closed Start date: 13 Apr 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 1.01 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 0.60 hour

Description

improve error message given by cocoa-5 for errors arising from cocoalib

Related issues:

Related to CoCoALib - Feature #92: Error Codes In Progress 14 Feb 2012

Related to CoCoALib - Feature #385: Design new errors using inheritance In Progress 08 Jul 2013

Related to CoCoALib - Feature #743: Better errors: give supplementary info ab... In Progress 30 Jun 2015

History

#1 - 13 Apr 2017 17:36 - Anna Maria Bigatti

- Related to Feature #92: Error Codes added

#2 - 13 Apr 2017 17:37 - Anna Maria Bigatti

- Related to Feature #385: Design new errors using inheritance added

#3 - 13 Apr 2017 17:38 - Anna Maria Bigatti

- Related to Feature #743: Better errors: give supplementary info about the error added

#4 - 13 Apr 2017 17:43 - Anna Maria Bigatti

- Category set to Parser/Interpreter

- Status changed from New to Feedback

- % Done changed from 0 to 90

Following what I said here:

https://cocoa.dima.unige.it/redmine/issues/743#note-7

I added in Interpreter.C a function called MESSAGE(err) to be called instead of message(err).  This new function combines message and context for

cocoalib errors, so it gives the right context (indeed!) even for obscure internal errors.

#5 - 28 Apr 2017 09:20 - Anna Maria Bigatti

- Estimated time set to 1.01 h

function renamed message_forC5 and moved in CoCoALibSupplement

#6 - 28 Apr 2017 19:21 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
